import java.awt.Canvas;
import java.awt.Dimension;
import java.lang.reflect.Method;
import java.util.Enumeration;
import java.util.Hashtable;

public abstract class Class545 {

   static final int anInt7350 = 4;
   public static final int anInt7351 = 1;
   int anInt7352 = 34673031;
   public int anInt7353;
   public static final int anInt7354 = 2;
   static final int anInt7355 = 8;
   static boolean[] aBoolArray7356 = new boolean[8];
   public static final int anInt7357 = 0;
   protected Class151_Sub2 aClass151_Sub2_7358;
   protected Class151 aClass151_7359;
   public static final int anInt7360 = 1;
   public static final int anInt7361 = 5;
   protected static final int anInt7362 = 1;
   protected static final int anInt7363 = 2;
   protected static final int anInt7364 = 4;
   protected static final int anInt7365 = 8;
   protected static final int anInt7366 = 16;
   protected static final int anInt7367 = 32;
   protected Hashtable aHashtable7368 = new Hashtable();
   public static final int anInt7369 = 3;
   public Interface24 anInterface24_7370;
   public static final int anInt7371 = 0;
   public static final int anInt7372 = 2;
   Class151_Sub1[] aClass151_Sub1Array7373 = new Class151_Sub1[4];


   public abstract void method11426(int var1, Class153 var2);

   public abstract Class85 method11427();

   public abstract void method11428();

   abstract void method11429(int var1, int var2) throws Exception_Sub5;

   public abstract void method11430();

   public void method11431(int var1) {
      aBoolArray7356[this.anInt7353 * -1659372711] = false;
      Enumeration var2 = this.aHashtable7368.keys();

      while(var2.hasMoreElements()) {
         if(var1 >= 1358027662) {
            ;
         }

         Canvas var3 = (Canvas)var2.nextElement();
         Class151_Sub2 var4 = (Class151_Sub2)this.aHashtable7368.get(var3);
         var4.method10();
      }

      this.method11470();
   }

   public final void method11432(int var1, int var2, int var3, int var4) {
      this.XA(var1, var2, var3, var4, 1);
   }

   public abstract void method11433(int var1);

   public abstract int za();

   public abstract void method11434(float var1, float var2, float var3, float[] var4);

   public abstract boolean method11435();

   public abstract Class171 method11436(int var1, int var2, int var3, int var4, boolean var5);

   public abstract boolean method11437();

   public abstract boolean method11438();

   public abstract void method11439(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract boolean method11440();

   public abstract boolean method11441();

   public abstract boolean method11442();

   public abstract boolean method11443();

   public abstract boolean method11444();

   public void method11445(int[] var1) {
      if(this.aClass151_Sub2_7358 != null) {
         var1[0] = this.aClass151_Sub2_7358.method2741();
         var1[1] = this.aClass151_Sub2_7358.method2742();
      } else {
         var1[1] = 0;
         var1[0] = 0;
      }

   }

   public final void method11446(int var1, int var2, int var3, int var4, int var5, byte var6) {
      this.method11627(var1, var2, var3, var4, var5, 1);
   }

   public abstract void method11447(int var1, int var2, int var3, int var4);

   public abstract void GA(float var1, float var2);

   final void method11448(Canvas var1, Class151_Sub2 var2, int var3) {
      if(var2 == null) {
         throw new RuntimeException();
      } else {
         this.aHashtable7368.put(var1, var2);
      }
   }

   public abstract int[] kc(int var1, int var2, int var3, int var4);

   public final void method11449(Canvas var1, byte var2) {
      Class151_Sub2 var3 = (Class151_Sub2)this.aHashtable7368.get(var1);
      if(null == var3) {
         throw new RuntimeException();
      } else if(this.anInt7352 * -1103094839 <= 0 && this.aClass151_7359 == this.aClass151_Sub2_7358) {
         if(this.aClass151_7359 != null) {
            this.aClass151_7359.method2748();
         }

         if(-1103094839 * this.anInt7352 < 0) {
            this.aClass151_7359 = var3;
         }

         this.aClass151_Sub2_7358 = var3;
         var3.method154();
      } else {
         throw new RuntimeException();
      }
   }

   public final void method11450(Canvas var1, int var2, int var3, int var4) {
      Class151_Sub2 var5 = (Class151_Sub2)this.aHashtable7368.get(var1);
      if(null == var5) {
         throw new RuntimeException();
      } else {
         var5.method14947(var2, var3);
      }
   }

   public final void method11451(Class151_Sub1 var1, int var2) {
      if(this.anInt7352 * -1103094839 >= 3) {
         throw new RuntimeException();
      } else {
         if(-1103094839 * this.anInt7352 >= 0) {
            this.aClass151_Sub1Array7373[this.anInt7352 * -1103094839].method2748();
         } else {
            this.aClass151_Sub2_7358.method2748();
         }

         this.aClass151_7359 = this.aClass151_Sub1Array7373[(this.anInt7352 += -34673031) * -1103094839] = var1;
         var1.method154();
      }
   }

   public abstract Class225_Sub1 method11452(int var1);

   public abstract boolean method11453();

   public abstract Class151_Sub1 method11454();

   public abstract Interface7 method11455(int var1, int var2, Class98 var3, Class91 var4, int var5);

   public abstract Interface8 method11456(int var1, int var2);

   public abstract Interface8 method11457(int var1, int var2, int var3);

   public abstract int[] ay(int var1, int var2, int var3, int var4);

   public abstract void method11458();

   public abstract void method11459();

   public abstract void method11460(int var1, int var2, int var3, int var4);

   public abstract void gs(int var1, Class496 var2, int var3, int var4);

   public abstract void L();

   public abstract Class328 method11461();

   public abstract void o(int var1, int var2, int var3, int var4);

   public void method11462(boolean var1) {}

   public abstract void qa(int[] var1);

   public final void method11463(int var1, int var2, int var3, int var4, int var5) {
      this.method11627(var1, var2, var3, var4, var5, 1);
   }

   public final void method11464(int var1, int var2, int var3, int var4, int var5, byte var6) {
      this.method11439(var1, var2, var3, var4, var5, 1);
   }

   public final void method11465(int var1, int var2, int var3, int var4, int var5, int var6) {
      this.B(var1, var2, var3, var4, var5, 1);
   }

   public abstract Class400 method11466(int var1, int var2, int[][] var3, int[][] var4, int var5, int var6, int var7);

   public abstract Class317 method11467();

   public final void method11468(int var1, int var2, int var3, int var4, byte var5) {
      this.G(var1, var2, var3, var4, 1);
   }

   public abstract Class79 method11469(int var1, int var2, int var3, int var4, int var5, int var6);

   abstract void method11470();

   public abstract void B(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract void N(int var1, int var2, int var3, int var4, int var5, int var6, byte[] var7, int var8, int var9);

   final Class151_Sub2 method11471(short var1) {
      return this.aClass151_Sub2_7358;
   }

   abstract void CA(int var1, int var2, int var3, int var4, int var5);

   public abstract void XA(int var1, int var2, int var3, int var4, int var5);

   public abstract void G(int var1, int var2, int var3, int var4, int var5);

   public final void method11472(int var1, int var2, int var3, int var4) {
      this.CA(var1, var2, var3, var4, 1);
   }

   public abstract Class171 method11473(int[] var1, int var2, int var3, int var4, int var5, boolean var6);

   public abstract void method11474(int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9);

   public abstract void method11475(int var1, int var2, int var3, int var4, int var5, int var6, Class496 var7, int var8, int var9, int var10, int var11, int var12);

   public abstract void method11476(int var1, int var2, int var3, int var4, int var5, int var6, int var7);

   public abstract int method11477(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract Class225_Sub1 method11478(int var1);

   public abstract void method11479(Class225_Sub1 var1);

   public Class171 method11480(int var1, int var2, boolean var3, int var4) {
      return this.method11481(var1, var2, var3, false);
   }

   public abstract Class171 method11481(int var1, int var2, boolean var3, boolean var4);

   public final Class151 method11482(byte var1) {
      return this.aClass151_7359;
   }

   public abstract void es(float var1, float var2);

   public abstract Class171 method11483(Class86 var1, boolean var2);

   public abstract Class171 method11484(int var1, int var2, int var3, int var4, boolean var5);

   public void method11485() {}

   public Class171 method11486(int[] var1, int var2, int var3, int var4, int var5) {
      return this.method11473(var1, var2, var3, var4, var5, true);
   }

   public abstract Class79 method11487(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract Class496 method11488(int var1, int var2, int[] var3, int[] var4);

   abstract Class151_Sub2 method11489(Canvas var1, int var2, int var3);

   public abstract Class8 method11490(Class405 var1, Class86_Sub1[] var2, boolean var3);

   public abstract void r(int var1, int var2, int var3, int var4);

   public abstract Class328 method11491();

   public abstract void method11492(int var1, int var2, int var3, int var4, int var5, int var6, Class496 var7, int var8, int var9);

   public abstract Class568 method11493(Class96 var1, int var2, int var3, int var4, int var5);

   public abstract int method11494(int var1, int var2);

   public abstract int method11495(int var1, int var2);

   public abstract void method11496(int var1, Class153 var2);

   public abstract void DA(int var1, Class496 var2, int var3, int var4);

   public abstract void fy(int var1, int var2, int var3, int var4, int var5);

   public abstract void method11497(int var1, int var2, float var3, int var4, int var5, float var6, int var7, int var8, float var9, int var10, int var11, int var12, int var13);

   public abstract Class328 method11498();

   public final void method11499(Canvas var1, int var2, int var3, int var4) {
      if(!this.aHashtable7368.containsKey(var1)) {
         Class193.method3356(var1, 438703145);
         this.method11448(var1, this.method11512(var1, var2, var3), -746233623);
      }

   }

   public abstract void method11500(Class317 var1);

   public abstract Class317 method11501();

   public void method11502() {}

   public abstract void method11503(int var1);

   public void method11504() {
      aBoolArray7356[this.anInt7353 * -1659372711] = false;
      Enumeration var1 = this.aHashtable7368.keys();

      while(var1.hasMoreElements()) {
         Canvas var2 = (Canvas)var1.nextElement();
         Class151_Sub2 var3 = (Class151_Sub2)this.aHashtable7368.get(var2);
         var3.method10();
      }

      this.method11470();
   }

   public abstract void c(int var1, int var2, int var3);

   public abstract int method11505();

   public Class225_Sub40 method11506(int var1, int var2, int var3, int var4, int var5, float var6) {
      return new Class225_Sub40(var1, var2, var3, var4, var5, var6);
   }

   public abstract void fp(int var1, int var2, int var3, int var4);

   public abstract Class79 method11507(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract void IA(float var1);

   public abstract void method11508(Class79 var1);

   public abstract boolean method11509();

   public abstract void method11510();

   abstract void method11511(float var1, float var2, float var3, float var4, float var5, float var6);

   abstract Class151_Sub2 method11512(Canvas var1, int var2, int var3);

   public abstract void method11513(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract void method11514(int var1, int var2, int var3, int var4);

   public abstract void method11515();

   static synchronized Class545 method11516(int var0, Canvas var1, Interface24 var2, Class253 var3, int var4, int var5, int var6) {
      if(0 == var0) {
         return Class13.method720(var1, var2, var5, var6, 682803277);
      } else if(var0 == 2) {
         return Class550_Sub3.method13351(var1, var2, var5, var6, '\uffff');
      } else if(var0 == 1) {
         return Class126.method2469(var1, var2, var4);
      } else if(var0 == 5) {
         return Class271.method4778(var1, var2, var3, var4);
      } else if(var0 == 3) {
         return Class377.method6556(var1, var2, var3, var4);
      } else {
         throw new IllegalArgumentException("");
      }
   }

   public abstract Class79 method11517(Class79 var1, Class79 var2, float var3, Class79 var4);

   public void method11518() {}

   public abstract void method11519(float var1, float var2, float var3, float[] var4);

   public abstract boolean method11520();

   public abstract void gr(int var1, Class496 var2, int var3, int var4);

   public final void method11521(int var1, int var2, int var3, int var4, int var5) {
      this.method11627(var1, var2, var3, var4, var5, 1);
   }

   abstract void method11522(int var1, int var2) throws Exception_Sub5;

   abstract void method11523(int var1, int var2) throws Exception_Sub5;

   public abstract void method11524();

   public abstract void method11525();

   public abstract void method11526();

   abstract void method11527();

   abstract void method11528();

   abstract void method11529();

   public abstract void method11530(int var1);

   public abstract void method11531(int var1);

   public abstract int dg();

   public abstract boolean method11532();

   public abstract boolean method11533();

   public abstract void RA(boolean var1);

   public abstract boolean method11534();

   public abstract boolean method11535();

   public abstract boolean method11536();

   public abstract void method11537(int var1);

   public abstract boolean method11538();

   public abstract boolean method11539();

   public abstract boolean method11540();

   public abstract void m(int var1, float var2, float var3, float var4, float var5, float var6);

   public abstract void method11541(boolean var1);

   public abstract void method11542(boolean var1);

   public abstract void method11543(int var1, Class153 var2);

   public static boolean method11544(int var0) {
      return var0 == 0 || var0 == 2;
   }

   abstract Class151_Sub2 method11545(Canvas var1, int var2, int var3);

   public abstract int method11546(int var1, int var2);

   public final void method11547(Canvas var1, byte var2) {
      if(this.aHashtable7368.containsKey(var1)) {
         if(var2 <= -1) {
            ;
         }

         Class151_Sub2 var3 = (Class151_Sub2)this.aHashtable7368.get(var1);
         var3.method10();
         this.aHashtable7368.remove(var1);
      }

   }

   public abstract void J(int var1);

   public void method11548(int[] var1) {
      if(this.aClass151_Sub2_7358 != null) {
         var1[0] = this.aClass151_Sub2_7358.method2741();
         var1[1] = this.aClass151_Sub2_7358.method2742();
      } else {
         var1[1] = 0;
         var1[0] = 0;
      }

   }

   public void method11549(int[] var1) {
      if(this.aClass151_Sub2_7358 != null) {
         var1[0] = this.aClass151_Sub2_7358.method2741();
         var1[1] = this.aClass151_Sub2_7358.method2742();
      } else {
         var1[1] = 0;
         var1[0] = 0;
      }

   }

   public void method11550(int[] var1) {
      if(this.aClass151_Sub2_7358 != null) {
         var1[0] = this.aClass151_Sub2_7358.method2741();
         var1[1] = this.aClass151_Sub2_7358.method2742();
      } else {
         var1[1] = 0;
         var1[0] = 0;
      }

   }

   public void method11551(int[] var1) {
      if(this.aClass151_Sub2_7358 != null) {
         var1[0] = this.aClass151_Sub2_7358.method2741();
         var1[1] = this.aClass151_Sub2_7358.method2742();
      } else {
         var1[1] = 0;
         var1[0] = 0;
      }

   }

   public void method11552(boolean var1) {}

   public abstract void eq(boolean var1);

   public abstract void ev(boolean var1);

   public abstract void method11553();

   public abstract void method11554(boolean var1);

   public static boolean method11555(int var0) {
      return var0 == 1 || var0 == 3 || var0 == 5;
   }

   public abstract void method11556(float var1, float var2, float var3, float[] var4);

   public abstract void ec();

   public abstract void ey();

   public final void method11557(int var1, int var2, int var3, int var4) {
      this.G(var1, var2, var3, var4, 1);
   }

   public abstract void fs();

   public abstract void fr();

   public final void method11558(Canvas var1) {
      Class151_Sub2 var2 = (Class151_Sub2)this.aHashtable7368.get(var1);
      if(null == var2) {
         throw new RuntimeException();
      } else if(this.anInt7352 * -1103094839 <= 0 && this.aClass151_7359 == this.aClass151_Sub2_7358) {
         if(this.aClass151_7359 != null) {
            this.aClass151_7359.method2748();
         }

         if(-1103094839 * this.anInt7352 < 0) {
            this.aClass151_7359 = var2;
         }

         this.aClass151_Sub2_7358 = var2;
         var2.method154();
      } else {
         throw new RuntimeException();
      }
   }

   public abstract void fl(int var1, int var2, int var3, int var4);

   public abstract void ff(int var1, int var2, int var3, int var4);

   public abstract void fq(int var1, int var2, int var3, int var4);

   public abstract void fo(int[] var1);

   public abstract void fg(int[] var1);

   public abstract void method11559();

   public abstract void fd(int var1, int var2, int var3, int var4, int var5, int var6, byte[] var7, int var8, int var9);

   public abstract void fn(int var1, int var2, int var3, int var4, int var5, int var6, byte[] var7, int var8, int var9);

   public abstract void fm(int var1, int var2, int var3, int var4, int var5, int var6, byte[] var7, int var8, int var9);

   abstract void fv(int var1, int var2, int var3, int var4, int var5);

   public abstract void fj(int var1, int var2, int var3, int var4, int var5);

   public final void method11560(Canvas var1, int var2, int var3) {
      if(!this.aHashtable7368.containsKey(var1)) {
         Class193.method3356(var1, 896782898);
         this.method11448(var1, this.method11512(var1, var2, var3), 708122679);
      }

   }

   public abstract void method11561(int var1, Class225_Sub40[] var2);

   public abstract void method11562(int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9);

   public abstract void method11563(int var1, Class225_Sub40[] var2);

   public abstract void method11564(int var1, int var2, int var3, int var4, int var5, int var6, Class496 var7, int var8, int var9);

   public abstract void method11565(int var1, int var2, int var3, int var4, int var5, int var6, Class496 var7, int var8, int var9);

   public abstract void method11566(int var1, int var2, int var3, int var4, int var5, int var6, Class496 var7, int var8, int var9);

   public void method11567() {}

   public abstract void method11568(int var1, int var2, int var3, int var4, int var5, int var6, Class496 var7, int var8, int var9, int var10, int var11, int var12);

   public abstract void method11569(int var1, int var2, int var3, int var4, int var5, int var6, Class496 var7, int var8, int var9, int var10, int var11, int var12);

   public abstract void method11570(int var1, int var2, int var3, int var4, int var5, int var6, Class496 var7, int var8, int var9, int var10, int var11, int var12);

   public abstract void method11571(int var1, int var2, int var3, int var4, int var5, int var6, Class496 var7, int var8, int var9, int var10, int var11, int var12);

   public abstract void method11572(int var1, int var2, int var3, int var4, int var5, int var6, int var7);

   public abstract void method11573(int var1, int var2, int var3, int var4, int var5, int var6, int var7);

   public abstract int method11574(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract Class225_Sub1 method11575(int var1);

   public final void method11576(int var1, int var2, int var3, int var4, short var5) {
      this.CA(var1, var2, var3, var4, 1);
   }

   public abstract Class171 method11577(int var1, int var2, boolean var3, boolean var4);

   abstract Class151_Sub2 method11578(Canvas var1, int var2, int var3);

   public abstract void method11579(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract Class171 method11580(int[] var1, int var2, int var3, int var4, int var5, boolean var6);

   public abstract void gj(int var1, Class496 var2, int var3, int var4);

   public abstract Class171 method11581(Class86 var1, boolean var2);

   public abstract void kw(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract Class8 method11582(Class405 var1, Class86_Sub1[] var2, boolean var3);

   public abstract Class171 method11583(int var1, int var2, int var3, int var4, boolean var5);

   public abstract Class496 method11584(int var1, int var2, int[] var3, int[] var4);

   public abstract void method11585(int var1, int var2, float var3, int var4, int var5, float var6, int var7, int var8, float var9, int var10, int var11, int var12, int var13);

   public abstract void iv(float var1);

   public abstract boolean method11586();

   public abstract void ih(int var1);

   public abstract Class8 method11587(Class405 var1, Class86_Sub1[] var2, boolean var3);

   public abstract boolean method11588();

   public abstract void method11589(int var1);

   public abstract void method11590(int var1);

   public final void method11591(Canvas var1, int var2, int var3) {
      if(!this.aHashtable7368.containsKey(var1)) {
         Class193.method3356(var1, -635573539);
         this.method11448(var1, this.method11512(var1, var2, var3), 734325381);
      }

   }

   public abstract Class568 method11592(Class96 var1, int var2, int var3, int var4, int var5);

   public abstract int method11593(int var1, int var2);

   public abstract int method11594(int var1, int var2);

   public abstract int method11595(int var1, int var2);

   public abstract void fu(int var1, int var2, int var3, int var4, int var5, int var6, byte[] var7, int var8, int var9);

   public abstract int method11596(int var1, int var2);

   public abstract int method11597(int var1, int var2);

   public abstract Class400 method11598(int var1, int var2, int[][] var3, int[][] var4, int var5, int var6, int var7);

   public Class171 method11599(int[] var1, int var2, int var3, int var4, int var5, int var6) {
      return this.method11473(var1, var2, var3, var4, var5, true);
   }

   public abstract Class400 method11600(int var1, int var2, int[][] var3, int[][] var4, int var5, int var6, int var7);

   public abstract Class317 method11601();

   public abstract Class317 method11602();

   public abstract void method11603(Class328 var1);

   public abstract int method11604();

   public abstract int method11605();

   public abstract int method11606();

   public Class225_Sub40 method11607(int var1, int var2, int var3, int var4, int var5, float var6) {
      return new Class225_Sub40(var1, var2, var3, var4, var5, var6);
   }

   final Class151_Sub2 method11608() {
      return this.aClass151_Sub2_7358;
   }

   public abstract void method11609(int var1, Class225_Sub40[] var2);

   public abstract void method11610(Class97 var1);

   public abstract void ij(int var1, float var2, float var3, float var4, float var5, float var6);

   public final void method11611(int var1, int var2, int var3, int var4) {
      this.G(var1, var2, var3, var4, 1);
   }

   public abstract Class328 method11612();

   public void method11613() {}

   public abstract Class317 method11614();

   public abstract Class317 method11615();

   public abstract void il(float var1);

   public abstract boolean method11616();

   public abstract void ki(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract void ia(float var1);

   public abstract void io(int var1, float var2, float var3, float var4, float var5, float var6);

   public abstract Class328 method11617();

   public abstract void ic(int var1, float var2, float var3, float var4, float var5, float var6);

   public abstract void ip(int var1);

   public abstract boolean method11618();

   abstract Class151_Sub2 method11619(Canvas var1, int var2, int var3);

   public abstract void method11620(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract Class79 method11621(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract void native_if(int var1, int var2, int var3);

   public static boolean method11622(int var0) {
      return var0 == 1 || var0 == 3 || var0 == 5;
   }

   public abstract Class79 method11623(Class79 var1, Class79 var2, float var3, Class79 var4);

   public abstract Class79 method11624(Class79 var1, Class79 var2, float var3, Class79 var4);

   public abstract void method11625(Class79 var1);

   public abstract boolean method11626();

   public abstract void method11627(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract void method11628();

   public abstract void method11629();

   public abstract boolean method11630();

   public abstract Class171 method11631(Class86 var1, boolean var2);

   abstract void method11632(float var1, float var2, float var3, float var4, float var5, float var6);

   abstract void method11633(float var1, float var2, float var3, float var4, float var5, float var6);

   abstract void method11634(float var1, float var2, float var3, float var4, float var5, float var6);

   public abstract void method11635(int var1, int var2, int var3, int var4);

   public abstract void method11636(int var1, int var2, int var3, int var4, int var5, int var6, Class496 var7, int var8, int var9);

   public abstract Class171 method11637(int var1, int var2, boolean var3, boolean var4);

   public abstract void method11638(int var1, int var2, int var3, int var4);

   public abstract void method11639();

   public abstract void method11640();

   public abstract void method11641();

   public abstract void method11642(int var1, Class153 var2);

   public abstract boolean method11643();

   public abstract Class79 method11644(Class79 var1, Class79 var2, float var3, Class79 var4);

   public abstract void method11645(int var1, Class153 var2);

   public abstract void method11646(int var1, Class153 var2);

   public abstract void method11647(int var1, Class153 var2);

   public abstract void method11648(int var1, Class153 var2);

   public abstract void jq();

   public abstract void jy();

   public abstract void jg();

   public abstract void jz();

   public abstract void jm();

   public abstract void method11649(int var1, int var2, float var3, int var4, int var5, float var6, int var7, int var8, float var9, int var10, int var11, int var12, int var13);

   public abstract void method11650(float var1, float var2, float var3, float[] var4);

   void method11651() {
      this.method11431(-1043579795);
   }

   public abstract void kz(int var1, int var2);

   public abstract void gt(int var1, Class496 var2, int var3, int var4);

   public void finalize() {
      this.method11431(-1578005602);
   }

   public abstract void method11652(float var1, float var2, float var3, float[] var4);

   public abstract Class151_Sub1 method11653();

   public abstract Class151_Sub1 method11654();

   public abstract Class151_Sub1 method11655();

   public abstract Class151_Sub1 method11656();

   public abstract Class151_Sub1 method11657();

   public static Class545 method11658(int var0, Canvas var1, Interface24 var2, Class253 var3, int var4) {
      int var5 = 0;
      int var6 = 0;
      if(var1 != null) {
         Dimension var7 = var1.getSize();
         var5 = var7.width;
         var6 = var7.height;
      }

      return Class555.method11855(var0, var1, var2, var3, var4, var5, var6, 196415705);
   }

   public abstract Interface8 method11659(int var1, int var2, int var3);

   void method11660() {
      this.method11431(1123235227);
   }

   public abstract void method11661(float var1, float var2, float var3, float[] var4);

   public Class171 method11662(int[] var1, int var2, int var3, int var4, int var5) {
      return this.method11473(var1, var2, var3, var4, var5, true);
   }

   public abstract Class85 method11663();

   public abstract boolean method11664();

   public abstract boolean method11665();

   public abstract int[] kx(int var1, int var2, int var3, int var4);

   public abstract void fz();

   public final void method11666(int var1, int var2, int var3, int var4, int var5) {
      this.XA(var1, var2, var3, var4, 1);
   }

   public boolean method11667() {
      return true;
   }

   public abstract void kv(int var1, int var2);

   public final void method11668(int var1) throws Exception_Sub5 {
      this.method11429(0, 0);
   }

   public abstract void method11669(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract void method11670(int var1, int var2, int var3, int var4, int var5, int var6);

   public abstract void method11671(int var1, int var2, int var3, int var4);

   public final void method11672(Class151_Sub1 var1, byte var2) {
      if(this.anInt7352 * -1103094839 >= 0 && this.aClass151_Sub1Array7373[this.anInt7352 * -1103094839] == var1) {
         this.aClass151_Sub1Array7373[(this.anInt7352 -= -34673031) * -1103094839 + 1] = null;
         var1.method2748();
         if(this.anInt7352 * -1103094839 >= 0) {
            this.aClass151_7359 = this.aClass151_Sub1Array7373[this.anInt7352 * -1103094839];
            this.aClass151_Sub1Array7373[-1103094839 * this.anInt7352].method154();
         } else {
            this.aClass151_7359 = this.aClass151_Sub2_7358;
            this.aClass151_Sub2_7358.method154();
         }

      } else {
         throw new RuntimeException();
      }
   }

   public abstract void ba(int var1, int var2);

   public abstract void method11673(float var1, float var2, float var3, float[] var4);

   public abstract void method11674(Class328 var1);

   public abstract Interface7 method11675(int var1, int var2, Class98 var3, Class91 var4, int var5);

   public abstract void method11676(Class225_Sub1 var1);

   public static Class545 method11677(int var0, Canvas var1, Interface24 var2, Class253 var3, int var4) {
      int var5 = 0;
      int var6 = 0;
      if(var1 != null) {
         Dimension var7 = var1.getSize();
         var5 = var7.width;
         var6 = var7.height;
      }

      return Class555.method11855(var0, var1, var2, var3, var4, var5, var6, 2034834096);
   }

   public final void method11678(int var1, int var2, int var3, int var4, int var5) {
      this.B(var1, var2, var3, var4, var5, 1);
   }

   public abstract Class400 method11679(int var1, int var2, int[][] var3, int[][] var4, int var5, int var6, int var7);

   public abstract void method11680(int var1, Class153 var2);

   public static boolean method11681(int var0) {
      return var0 == 1 || var0 == 3 || var0 == 5;
   }

   public abstract void method11682(int var1, int var2, int var3, int var4, int var5, int var6, Class496 var7, int var8, int var9);

   public abstract boolean method11683();

   public abstract void O();

   public static boolean method11684(int var0) {
      return var0 == 0 || var0 == 2;
   }

   public final void method11685() throws Exception_Sub5 {
      this.method11429(0, 0);
   }

   public void method11686() {
      aBoolArray7356[this.anInt7353 * -1659372711] = false;
      Enumeration var1 = this.aHashtable7368.keys();

      while(var1.hasMoreElements()) {
         Canvas var2 = (Canvas)var1.nextElement();
         Class151_Sub2 var3 = (Class151_Sub2)this.aHashtable7368.get(var2);
         var3.method10();
      }

      this.method11470();
   }

   public final void method11687(int var1, int var2, int var3, int var4, int var5) {
      this.B(var1, var2, var3, var4, var5, 1);
   }

   public static void method11688(Canvas var0) {
      try {
         Class var1 = Class.forName("java.awt.Canvas");
         Method var2 = var1.getMethod("setIgnoreRepaint", new Class[]{Boolean.TYPE});
         var2.invoke(var0, new Object[]{Boolean.TRUE});
      } catch (Exception var3) {
         ;
      }

   }

   static synchronized Class545 method11689(int var0, Canvas var1, Interface24 var2, Class253 var3, int var4, int var5, int var6) {
      if(0 == var0) {
         return Class13.method720(var1, var2, var5, var6, 1143380818);
      } else if(var0 == 2) {
         return Class550_Sub3.method13351(var1, var2, var5, var6, '\uffff');
      } else if(var0 == 1) {
         return Class126.method2469(var1, var2, var4);
      } else if(var0 == 5) {
         return Class271.method4778(var1, var2, var3, var4);
      } else if(var0 == 3) {
         return Class377.method6556(var1, var2, var3, var4);
      } else {
         throw new IllegalArgumentException("");
      }
   }

   public final Class151 method11690() {
      return this.aClass151_7359;
   }

   public abstract Class171 method11691(int var1, int var2, boolean var3, boolean var4);

   public abstract void method11692(Class317 var1);

   public abstract void ii(float var1);

   public final void method11693(Canvas var1, int var2, int var3) {
      if(!this.aHashtable7368.containsKey(var1)) {
         Class193.method3356(var1, 1832456414);
         this.method11448(var1, this.method11512(var1, var2, var3), -2068134046);
      }

   }

   final void method11694(Canvas var1, Class151_Sub2 var2) {
      if(var2 == null) {
         throw new RuntimeException();
      } else {
         this.aHashtable7368.put(var1, var2);
      }
   }

   public final void method11695(Canvas var1) {
      if(this.aHashtable7368.containsKey(var1)) {
         Class151_Sub2 var2 = (Class151_Sub2)this.aHashtable7368.get(var1);
         var2.method10();
         this.aHashtable7368.remove(var1);
      }

   }

   public final void method11696(Canvas var1) {
      Class151_Sub2 var2 = (Class151_Sub2)this.aHashtable7368.get(var1);
      if(null == var2) {
         throw new RuntimeException();
      } else if(this.anInt7352 * -1103094839 <= 0 && this.aClass151_7359 == this.aClass151_Sub2_7358) {
         if(this.aClass151_7359 != null) {
            this.aClass151_7359.method2748();
         }

         if(-1103094839 * this.anInt7352 < 0) {
            this.aClass151_7359 = var2;
         }

         this.aClass151_Sub2_7358 = var2;
         var2.method154();
      } else {
         throw new RuntimeException();
      }
   }

   void method11697() {
      this.method11431(-508372251);
   }

   public final void method11698(Canvas var1) {
      Class151_Sub2 var2 = (Class151_Sub2)this.aHashtable7368.get(var1);
      if(null == var2) {
         throw new RuntimeException();
      } else if(this.anInt7352 * -1103094839 <= 0 && this.aClass151_7359 == this.aClass151_Sub2_7358) {
         if(this.aClass151_7359 != null) {
            this.aClass151_7359.method2748();
         }

         if(-1103094839 * this.anInt7352 < 0) {
            this.aClass151_7359 = var2;
         }

         this.aClass151_Sub2_7358 = var2;
         var2.method154();
      } else {
         throw new RuntimeException();
      }
   }

   public abstract void method11699(int var1, int var2, float var3, int var4, int var5, float var6, int var7, int var8, float var9, int var10, int var11, int var12, int var13);

   public final void method11700(Canvas var1, int var2, int var3) {
      Class151_Sub2 var4 = (Class151_Sub2)this.aHashtable7368.get(var1);
      if(null == var4) {
         throw new RuntimeException();
      } else {
         var4.method14947(var2, var3);
      }
   }

   public final void method11701(Class151_Sub1 var1) {
      if(this.anInt7352 * -1103094839 >= 3) {
         throw new RuntimeException();
      } else {
         if(-1103094839 * this.anInt7352 >= 0) {
            this.aClass151_Sub1Array7373[this.anInt7352 * -1103094839].method2748();
         } else {
            this.aClass151_Sub2_7358.method2748();
         }

         this.aClass151_7359 = this.aClass151_Sub1Array7373[(this.anInt7352 += -34673031) * -1103094839] = var1;
         var1.method154();
      }
   }

   public final void method11702(Class151_Sub1 var1) {
      if(this.anInt7352 * -1103094839 >= 3) {
         throw new RuntimeException();
      } else {
         if(-1103094839 * this.anInt7352 >= 0) {
            this.aClass151_Sub1Array7373[this.anInt7352 * -1103094839].method2748();
         } else {
            this.aClass151_Sub2_7358.method2748();
         }

         this.aClass151_7359 = this.aClass151_Sub1Array7373[(this.anInt7352 += -34673031) * -1103094839] = var1;
         var1.method154();
      }
   }

   public final void method11703(Class151_Sub1 var1) {
      if(this.anInt7352 * -1103094839 >= 3) {
         throw new RuntimeException();
      } else {
         if(-1103094839 * this.anInt7352 >= 0) {
            this.aClass151_Sub1Array7373[this.anInt7352 * -1103094839].method2748();
         } else {
            this.aClass151_Sub2_7358.method2748();
         }

         this.aClass151_7359 = this.aClass151_Sub1Array7373[(this.anInt7352 += -34673031) * -1103094839] = var1;
         var1.method154();
      }
   }

   public final void method11704(Class151_Sub1 var1) {
      if(this.anInt7352 * -1103094839 >= 0 && this.aClass151_Sub1Array7373[this.anInt7352 * -1103094839] == var1) {
         this.aClass151_Sub1Array7373[(this.anInt7352 -= -34673031) * -1103094839 + 1] = null;
         var1.method2748();
         if(this.anInt7352 * -1103094839 >= 0) {
            this.aClass151_7359 = this.aClass151_Sub1Array7373[this.anInt7352 * -1103094839];
            this.aClass151_Sub1Array7373[-1103094839 * this.anInt7352].method154();
         } else {
            this.aClass151_7359 = this.aClass151_Sub2_7358;
            this.aClass151_Sub2_7358.method154();
         }

      } else {
         throw new RuntimeException();
      }
   }

   public final void method11705(Class151_Sub1 var1) {
      if(this.anInt7352 * -1103094839 >= 0 && this.aClass151_Sub1Array7373[this.anInt7352 * -1103094839] == var1) {
         this.aClass151_Sub1Array7373[(this.anInt7352 -= -34673031) * -1103094839 + 1] = null;
         var1.method2748();
         if(this.anInt7352 * -1103094839 >= 0) {
            this.aClass151_7359 = this.aClass151_Sub1Array7373[this.anInt7352 * -1103094839];
            this.aClass151_Sub1Array7373[-1103094839 * this.anInt7352].method154();
         } else {
            this.aClass151_7359 = this.aClass151_Sub2_7358;
            this.aClass151_Sub2_7358.method154();
         }

      } else {
         throw new RuntimeException();
      }
   }

   public void method11706(boolean var1) {}

   public abstract Class171 method11707(int var1, int var2, int var3, int var4, boolean var5);

   public final void method11708(int var1, int var2, int var3, int var4, int var5) {
      this.method11439(var1, var2, var3, var4, var5, 1);
   }

   public abstract void method11709(int var1, int var2, int var3, int var4);

   public final void method11710(int var1, int var2, int var3, int var4, int var5) {
      this.B(var1, var2, var3, var4, var5, 1);
   }

   Class545(Interface24 var1) {
      this.anInterface24_7370 = var1;
      int var2 = -1;

      for(int var3 = 0; var3 < 8; ++var3) {
         if(!aBoolArray7356[var3]) {
            aBoolArray7356[var3] = true;
            var2 = var3;
            break;
         }
      }

      this.anInt7353 = var2 * -506290967;
   }

   public abstract void method11711(Class97 var1);

   public abstract boolean method11712();

   public final void method11713(int var1, int var2, int var3, int var4) {
      this.XA(var1, var2, var3, var4, 1);
   }

   public final void method11714(Canvas var1, int var2, int var3) {
      Class151_Sub2 var4 = (Class151_Sub2)this.aHashtable7368.get(var1);
      if(null == var4) {
         throw new RuntimeException();
      } else {
         var4.method14947(var2, var3);
      }
   }

   public boolean method11715(int var1) {
      return true;
   }

   public final void method11716(int var1, int var2, int var3, int var4) {
      this.G(var1, var2, var3, var4, 1);
   }

   public abstract void method11717(boolean var1);

   public final void method11718(int var1, int var2, int var3, int var4, int var5) {
      this.method11627(var1, var2, var3, var4, var5, 1);
   }

   public void method11719(float var1, float var2, float var3, byte var4) {
      this.method11511(var1, var2, var3, 0.0F, 1.0F, 1.0F);
   }

   public Class171 method11720(int var1, int var2, boolean var3) {
      return this.method11481(var1, var2, var3, false);
   }

   public Class171 method11721(int var1, int var2, boolean var3) {
      return this.method11481(var1, var2, var3, false);
   }

   public abstract void kd(int var1, int var2);

   public abstract Interface8 method11722(int var1, int var2);

   public void method11723() {}

   public static void method11724(Canvas var0) {
      try {
         Class var1 = Class.forName("java.awt.Canvas");
         Method var2 = var1.getMethod("setIgnoreRepaint", new Class[]{Boolean.TYPE});
         var2.invoke(var0, new Object[]{Boolean.TRUE});
      } catch (Exception var3) {
         ;
      }

   }

   public void method11725() {}

   public abstract Class328 method11726();

   public void method11727() {}

   public void method11728() {}

   public abstract void et(boolean var1);

   public boolean method11729() {
      return true;
   }

   public void method11730(float var1, float var2, float var3) {
      this.method11511(var1, var2, var3, 0.0F, 1.0F, 1.0F);
   }

   public static Class568 method11731(Class545 var0, int var1, int var2, int var3, int var4, int var5, Class568 var6, int var7, int var8, int var9, int var10, Class477 var11, int var12) {
      if(null == var6) {
         return null;
      } else {
         int var13 = 2055;
         if(null != var11) {
            var13 |= var11.method7983(257675263);
            var13 &= -513;
         }

         long var14 = (long)((var10 << 24) + (var9 << 16) + var5) + ((long)var7 << 32) + ((long)var8 << 48);
         Class564 var16 = Class14.aClass564_175;
         Class568 var17;
         synchronized(var16) {
            var17 = (Class568)Class14.aClass564_175.method11959(var14);
         }

         if(null == var17 || var0.method11494(var17.m(), var13) != 0) {
            if(var17 != null) {
               var13 = var0.method11495(var13, var17.m());
            }

            byte var33;
            if(var5 == 1) {
               var33 = 9;
            } else if(2 == var5) {
               var33 = 12;
            } else if(var5 == 3) {
               var33 = 15;
            } else if(4 == var5) {
               var33 = 18;
            } else {
               var33 = 21;
            }

            byte var18 = 3;
            int[] var19 = new int[]{64, 96, 128};
            Class96 var20 = new Class96(1 + var18 * var33, 2 * var33 * var18 - var33, 0);
            int var21 = var20.method1854(0, 0, 0);
            int[][] var22 = new int[var18][var33];

            int var23;
            int var25;
            int var24;
            int var28;
            for(var23 = 0; var23 < var18; ++var23) {
               var24 = var19[var23];
               var25 = var19[var23];

               for(int var26 = 0; var26 < var33; ++var26) {
                  int var27 = (var26 << 14) / var33;
                  var28 = var24 * Class312.anIntArray3943[var27] >> 14;
                  int var29 = Class312.anIntArray3956[var27] * var25 >> 14;
                  var22[var23][var26] = var20.method1854(var28, 0, var29);
               }
            }

            for(var23 = 0; var23 < var18; ++var23) {
               var24 = (128 + var23 * 256) / var18;
               var25 = 256 - var24;
               byte var39 = (byte)(var10 * var24 + var9 * var25 >> 8);
               short var40 = (short)(((var7 & 127) * var25 + var24 * (var8 & 127) & 32512) + ((var7 & '\ufc00') * var25 + var24 * (var8 & '\ufc00') & 16515072) + (var25 * (var7 & 896) + (var8 & 896) * var24 & 229376) >> 8);

               for(var28 = 0; var28 < var33; ++var28) {
                  if(0 == var23) {
                     var20.method1855(var21, var22[0][(var28 + 1) % var33], var22[0][var28], (byte)1, (byte)-1, var40, var39, (short)-1);
                  } else {
                     var20.method1855(var22[var23 - 1][var28], var22[var23 - 1][(var28 + 1) % var33], var22[var23][(var28 + 1) % var33], (byte)1, (byte)-1, var40, var39, (short)-1);
                     var20.method1855(var22[var23 - 1][var28], var22[var23][(1 + var28) % var33], var22[var23][var28], (byte)1, (byte)-1, var40, var39, (short)-1);
                  }
               }
            }

            var17 = var0.method11493(var20, var13, 1027544707 * Class14.anInt174, 64, 768);
            Class564 var38 = Class14.aClass564_175;
            synchronized(var38) {
               Class14.aClass564_175.method11958(var17, var14);
            }
         }

         int var35 = var6.RA();
         int var36 = var6.ya();
         int var34 = var6.AA();
         int var37 = var6.ha();
         if(null != var11) {
            var17 = var17.method12060((byte)3, var13, true);
            var17.oa(var36 - var35 >> 1, 128, var37 - var34 >> 1);
            var17.ia(var35 + var36 >> 1, 0, var34 + var37 >> 1);
            var11.method7993(var17, 257906126);
         } else {
            var17 = var17.method12060((byte)3, var13, true);
            var17.oa(var36 - var35 >> 1, 128, var37 - var34 >> 1);
            var17.ia(var36 + var35 >> 1, 0, var37 + var34 >> 1);
         }

         if(0 != var2) {
            var17.t(var2);
         }

         if(0 != var3) {
            var17.EA(var3);
         }

         if(0 != var4) {
            var17.ia(0, var4, 0);
         }

         return var17;
      }
   }

   public static void method11732(int var0, int var1) {
      Class225_Sub14_Sub2 var2 = Class49.method1193(14, (long)var0);
      var2.method15501(1978646565);
   }
}
